OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
BBoxFilter Class Reference

`#include <IndexFilter.h>`

## Public Types
using | Handle = AttributeHandle< openvdb::Vec3f >

## Public Member Functions
| BBoxFilter (const openvdb::math::Transform &transform, const openvdb::BBoxd &bboxWS)
| BBoxFilter (const BBoxFilter &filter)
bool | initialized () const
template<typename LeafT >
void | reset (const LeafT &leaf)
template<typename IterT >
bool | valid (const IterT &iter) const

## Member Typedef Documentation

## ◆ Handle

using Handle = AttributeHandle<openvdb::Vec3f>

## Constructor & Destructor Documentation

## ◆ BBoxFilter() [1/2]

BBoxFilter | ( | const openvdb::math::Transform & | transform,
|  | const openvdb::BBoxd & | bboxWS
| ) |  |
| inline

## ◆ BBoxFilter() [2/2]

BBoxFilter | ( | const BBoxFilter & | filter | ) |
| inline

## Member Function Documentation

## ◆ initialized()

bool initialized | ( |  | ) | const
| inline

## ◆ reset()

void reset | ( | const LeafT & | leaf | ) |
| inline

## ◆ valid()

bool valid | ( | const IterT & | iter | ) | const
| inline

The documentation for this class was generated from the following file:

- IndexFilter.h